%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name unf_ext

Summary: Unicode Normalization Form support library for CRuby
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 0.0.7.4
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/knu/ruby-unf_ext
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(release)
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby 
BuildRequires: %{?scl_prefix}ruby-devel
BuildRequires: %{?scl_prefix}rubygems-devel 
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Unicode Normalization Form support library for CRuby.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}
%setup -q -D -T -n  %{gem_name}-%{version}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build

# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

%{?scl:scl enable %{scl} - << \EOF}
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

GEM_VER=`gem --version`
minver=`{ echo 2.1.0 ; echo $GEM_VER ; } | sort -V | head -1`

if [ $minver = "2.1.0" ] ; then # newer version of gem
  mkdir -p %{buildroot}%{gem_extdir_mri}
  cp -a ./%{gem_extdir_mri}/* %{buildroot}%{gem_extdir_mri}/

  pushd %{buildroot}
  rm -f .%{gem_extdir_mri}/{gem_make.out,mkmf.log}
  popd

else
  mkdir -p %{buildroot}%{gem_extdir_mri}/lib
  mv %{buildroot}%{gem_instdir}/lib/*.so %{buildroot}%{gem_extdir_mri}/lib/

fi

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/

# Remove the binary extension sources and build leftovers.
rm -rf %{buildroot}%{gem_instdir}/ext

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%{gem_spec}
%exclude %{gem_cache}
%exclude %{gem_instdir}/ext

%files doc
%doc %{gem_docdir}
%{gem_instdir}/.*
%{gem_instdir}/*gemspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/test
%doc %{gem_instdir}/README.md
%{gem_instdir}/%{gem_name}.gemspec

%changelog
* Thu Jun 29 2017 Rich Megginson <rmeggins@redhat.com> - 0.0.7.4-1
- update to 0.0.7.4

* Fri Sep 16 2016 Rich Megginson <rmeggins@redhat.com> - 0.0.7.2-3
- minor cleanup for rhlog

* Thu Aug 11 2016 Rich Megginson <rmeggins@redhat.com> - 0.0.7.2-2
- make spec work for different gem versions

* Wed Aug 10 2016 Rich Megginson <rmeggins@redhat.com> - 0.0.7.2-1
- update to 0.0.7.2

* Thu Sep 10 2015 Satoe Imaishi <simaishi@redhat.com> - 0.0.7.1-3
- Follow ruby packaging guideline to build/install

* Wed Sep 02 2015 Satoe Imaishi <simaishi@redhat.com> - 0.0.7.1-2
- Move .so one level up

* Wed Sep 02 2015 Satoe Imaishi <simaishi@redhat.com> - 0.0.7.1-1
- Build 0.0.7.1 for rh-ruby22
